Pb son sous Debian Etch

Résolu/Fermé
Ragueubuff - 11 févr. 2008 à 00:04
mamiemando Messages postés 33173 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 10 juillet 2024 - 11 févr. 2008 à 18:17
Bonjour tout le monde!

J'ai un problème de son sous Debian Etch, j'utilise la carte intégrée à ma carte mère ASUS P5LD2 SE (qui est quelque chose comme ADI 1986A, souvent reconnu comme snd-hda-intel) et, lorsque la session graphique démarre, j'ai une fois sur trois le son durant un temps variable puis il disparait totalement sans espoir de retour (les autres deux fois je n'ai pas de son du tout dès le début, même si parfois il y a un bref son de tonalité dans les enceintes au moment où la musique de KDE doit se jouer).

J'ai remarqué que si je ne sollicite pas trop le son, il reste très longtemps sans s'arrêter (voire ne s'arrête pas du tout) mais dès que je commence à avoir des sons trop rapprochés (ouvrir deux fenêtres avec les sons de KDE suffit) le son disparait. Cela prend généralement une dizaine de secondes en fait mais un jour j'ai lancé un divx et rien touché d'autre et pendant 1h30 j'ai eut le son.

Plus étrange, quand j'utilise xine, et que je change le niveau sonore, le son disparait immédiatement, mais si je le change trop vite, alors tout plante, pas que le serveur graphique, je ne peux plus rien faire, ni accéder à une console virtuelle ni tenter de le redémarrer avec un ctrl+alt+backspace j'en suis réduit au reboot rustique au bouton. Ces petits trucs sont spécifiques à Xine et n'arrivent pas avec d'autres lecteurs. Peut être cela pourra t il vous éclairer (au niveau de la manière dont xine gère la carte ou alsa, je ne sais pas...).

Donc voilà j'ai essayé de vous donner le plus d'éléments possible mais je ne suis pas le roi de linux alors si il vous faut d'autres renseignements dites le moi et indiquez moi les éventuelles commandes à taper pour vous renseigner.

Sinon, faisons d'une pierre deux coups, pour ceux qui ne sauraient pas quoi répondre et au cas ou personne ne pourrait m'aider, quelqu'un pourrait il me conseiller sur une carte son pas chère (les cartes intégrées des cartes mères m'ont toujours suffies...) et compatible à 100% sur sur sur avec Debian et son noyau 2.6.18? Parce que si ça peut régler mes soucis...

voili voilou je vous remercie tous d'avance pour votre aide!

7 réponses

mamiemando Messages postés 33173 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 10 juillet 2024 7 761
11 févr. 2008 à 01:34
Côté carte son le sound blaster live marchent très bien, voici celle que j'utilise :
01:08.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 0a)
01:08.1 Input device controller: Creative Labs SB Live! Game Port (rev 0a)

Pour ton problème de son il faudrait voir les modules chargés et les logs du noyau quand le problème survient.
En root :
lsmod | grep snd
dmesg | tail
tail /var/log/messages

A mon avis une mise à jour (en particulier de ton paquet linux-image, ie le noyau) pourrait résoudre le problème. Tu peux aussi essayer de migrer ta debian etch vers une debian lenny.

Concrètement ça consiste à remplacer dans /etc/apt/sources.list les "stable" (ou "etch") par "testing" (ou "lenny") puis à taper en root (mais ne te lance là-dedans que si tu sais utiliser deborphan, dpkg-reconfigure, etc...) :
aptitude update
aptitude upgrade

Avec un peu de chance ça marchera mieux cette version, plus récente...

Bonne chance
lsmod renvoie cela:

snd_usb_audio          69024  0
snd_usb_lib            14976  1 snd_usb_audio
snd_seq_dummy           3844  0
snd_seq_oss            28768  0
snd_hda_intel          17332  0
snd_seq_midi            8192  0
snd_hda_codec         137856  1 snd_hda_intel
snd_seq_midi_event      7008  2 snd_seq_oss,snd_seq_midi
snd_pcm_oss            38368  0
snd_mixer_oss          15200  1 snd_pcm_oss
snd_seq                45680  6 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_rawmidi            22560  2 snd_usb_lib,snd_seq_midi
snd_seq_device          7820  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq,snd_rawmidi
snd_pcm                68676  4 snd_usb_audio,snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_timer              20996  2 snd_seq,snd_pcm
snd_page_alloc          9640  2 snd_hda_intel,snd_pcm
snd_hwdep               8836  1 snd_usb_audio
snd                    47012  12 snd_usb_audio,snd_seq_oss,snd_hda_intel,snd_hda_codec,snd_pcm_oss,snd_mixer_oss,snd_seq,snd_rawmidi,snd_seq_device,snd_pcm,snd_timer,snd_hwdep
soundcore               9248  1 snd
usbcore               112644  5 snd_usb_audio,snd_usb_lib,ehci_hcd,uhci_hcd


dmsg|tail renvoie cela :

ACPI: Power Button (FF) [PWRF]
ACPI: Power Button (CM) [PWRB]
lp0: using parport0 (interrupt-driven).
ppdev: user-space parallel port driver
eth1: link up, 10Mbps, half-duplex, lpa 0x0000
NET: Registered protocol family 5
Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
NFSD: Using /var/lib/nfs/v4recovery as the NFSv4 state recovery directory
NFSD: starting 90-second grace period
eth0: no IPv6 routers present


tail /var/log/messages renvoie cela:

Feb 11 09:11:48 warmachine dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.domain_name
Feb 11 09:11:48 warmachine dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_domain
Feb 11 09:11:48 warmachine dhcdbd: message_handler: message handler not found under /com/redhat/dhcp/eth0 for sub-path eth0.dbus.get.nis_servers
Feb 11 09:12:44 warmachine gconfd (empereur-3634): démarrage (version 2.16.1), pid 3634 utilisateur « empereur »
Feb 11 09:12:44 warmachine gconfd (empereur-3634): Adresse « xml:readonly:/etc/gconf/gconf.xml.mandatory » résolue vers une source de configuration en lecture seule à la position 0
Feb 11 09:12:44 warmachine gconfd (empereur-3634): Adresse « xml:readwrite:/home/empereur/.gconf » résolue vers une source de configuration accessible en écriture à la position 1
Feb 11 09:12:44 warmachine gconfd (empereur-3634): Adresse « xml:readonly:/etc/gconf/gconf.xml.defaults » résolue vers une source de configuration en lecture seule à la position 2
Feb 11 09:12:44 warmachine gconfd (empereur-3634): Adresse « xml:readonly:/var/lib/gconf/debian.defaults » résolue vers une source de configuration en lecture seule à la position 3
Feb 11 09:12:44 warmachine gconfd (empereur-3634): Adresse « xml:readonly:/var/lib/gconf/defaults » résolue vers une source de configuration en lecture seule à la position 4
Feb 11 09:18:00 warmachine syslogd 1.4.1#18: restart.


alors, à part ça, outre le fait que je ne sais pas trop me servir de dpkg-reconfigure ni de deborphan, la version testing n'est pas censée justement ne pas être stable?

Merci de ta réponse néanmois!
Sur un autre forum quelqu'un m'a dirigé vers une aide en ligne pour installer la dernière version d'alsa et cela a réglé mon problème.

Merci quand même!
bob031 Messages postés 8158 Date d'inscription samedi 7 août 2004 Statut Membre Dernière intervention 1 septembre 2014 472
11 févr. 2008 à 10:37
bonjour,

sympa de dire comment tu as résolu ton problème !

la communauté ne saura jamais comment tu as résolu ton problème ! .....c'est bien dommage !

Vous n’avez pas trouvé la réponse que vous recherchez ?

Posez votre question
hmmmmmmmmmm Il me semble bien lire dans mon post que j'ai installé la dernière version d'alsa et que cela a résolu mon problème. Que dire de plus? C'est tout ce que j'ai fait, comme inscrit dans le post précédent....
bob031 Messages postés 8158 Date d'inscription samedi 7 août 2004 Statut Membre Dernière intervention 1 septembre 2014 472
11 févr. 2008 à 12:49
ok !

méa culpa ! écrit comme ça j'avais mal interprété :
Sur un autre forum quelqu'un m'a dirigé vers une aide en ligne pour installer la dernière version d'alsa et cela a réglé mon problème
mamiemando Messages postés 33173 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 10 juillet 2024 7 761
11 févr. 2008 à 18:17
En fait testing sous debian c'est stable en pratique mais en cours de validation (tandis que sid ou unstable c'est plus aléatoire). Mais bon de toute façon une simple mise à jour a suffit à résoudre le problème, donc inutile de passer en lenny sauf si tu veux des paquets plus récent ;-)